package com.isu.gaswellwatch.exception;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class OpenFeignCallException extends RuntimeException {

    /**
     * <li>状态码</li>
     */
    private Integer code = 400;

    /**
     * <li>字符串错误信息</li>
     */
    private String message;

    public OpenFeignCallException(String message) {
        super(message);
        this.message = message;
    }

    public OpenFeignCallException(Integer code, String message) {
        super(message);
        this.code = code;
        this.message = message;
    }

}

