package com.isu.gaswellwatch.vo;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serial;

/**
 * 气井对象 gas_wells
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
public class GasWellPageQuery extends PageQuery {

    @Serial
    private static final long serialVersionUID = 1L;

            /** 关联公司 */
        private Long companyId;

            /** 气井名称 */
        private String name;

}
