package com.isu.gaswellwatch;

import org.apache.commons.io.IOUtils;
import org.junit.jupiter.api.Test;
import org.springframework.util.ResourceUtils;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.nio.charset.StandardCharsets;

//@SpringBootTest
class GasWellWatchApplicationTests {

    @Test
    void contextLoads() throws Exception {
        String fileName = "sql/CREATE_KNPCV1.sql";
        System.out.println(ResourceUtils.getURL(fileName));
        System.out.println(getResource(fileName));

    }

    public static String getResource(String classPath) {
        try {
            File file = ResourceUtils.getFile("classpath:" + classPath);
            return IOUtils.toString(new FileInputStream(file), StandardCharsets.UTF_8);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

}
